RUN-PARTS(8)

NAZWA
run-parts - uruchamia skrypty lub programy w katalogu

SKŁADNIA
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--after=PROG] [--before=PROG] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

OPIS
run-parts uruchamia wszystkie programy wykonywalne znalezione w katalogu KATALOG. Pozostałe pliki są po cichu ignorowane. Jeżeli nie podano opcji --lsbsysinit ani opcji --regex, to nazwy plików muszą składać się w tylko i wyłącznie z dużych i małych liter ASCII, cyfr ASCII, podkreśleń ASCII i myślników ASCII. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Jeśli podano opcję --regex, nazwy muszą pasować do rozszerzonego wyrażenia regularnego podanego jako wartość tej opcji. Files are run sequentially in the lexical sort order (according to the C/POSIX locale character collation rules) of their names unless the --reverse option is given, in which case they are run in the opposite order. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

OPCJE

--test
    wypisuje nazwy skryptów, które zostałyby uruchomione, ale faktycznie ich nie uruchamia.

--list
    print the names of the all matching files (not limited to executables), but don't actually run them. This option cannot be used with --test.

--verbose
    przed uruchomieniem każdego ze skryptów wypisuje jego nazwę na standardowe wyjście błędów.

--report
    podobne do --verbose, ale wypisuje nazwy tylko tych skryptów, które generują wyjście. Nazwa skryptu jest wypisywana na stdout lub stderr, w zależności od tego, gdzie skrypt wysyła swoje pierwsze wyniki.

-d, --debug
    print to stderr which scripts get selected for running and which don't.

--reverse
    odwraca porządek wykonywania skryptów.

--exit-on-error
    kończy pracę, gdy tylko któryś ze skryptów zakończy się niezerowym kodem wyjścia.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    używa konwencji nazw LSB, zamiast zwykłej.

--new-session
    wykonuje każdy skrypt w osobnej sesji procesów. Po użyciu tej opcji zabicie programu run-parts nie zabije obecnie wykonywanego skryptu, który będzie działał, aż się zakończy.

--regex=RE
    sprawdza nazwy plików względem rozszerzonego wyrażenia regularnego RE. Przykład można znaleźć w rozdziale PRZYKŁADY.

-u, --umask=umask
    przed uruchomieniem skryptów nadaje umask wartość umask. Powinna ona zostać podana ósemkowo. Domyślnie umask otrzymuje wartość 022.

-a, --arg=argument
    przekazuje argument do skryptów. Należy użyć osobnego --arg dla każdego argumentu, który chce się przekazać.

-A, --after=program
    run program after each script runs. The program will be called with three arguments: script name, exit status, and total amount written to the output and error streams. The last argument will always be 0 unless the --report option is also specified. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

-B, --before=program
    run program before running each script. The program will be called with one argument: the script name. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

--  oznacza koniec opcji. Jakakolwiek nazwa pliku występująca po -- nie będzie interpretowana jako opcja, nawet jeśli zaczyna się od myślnika.

-h, --help
    wyświetla informację o sposobie wywołania i kończy pracę.

-V, --version
    wyświetla numer wersji, informację o prawach autorskich i kończy pracę.

PRZYKŁADY
Wyświetlenie nazw wszystkich katalogów w /etc rozpoczynających się od "p" i kończących się na "d":

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT
Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts jest wolnym oprogramowaniem; warunki kopiowania można znaleźć w Powszechnej Licencji Publicznej GNU w wersji 2 lub późniejszej. Nie ma żadnej gwarancji.

TŁUMACZENIE
Niniejsze tłumaczenie jest częścią pakietu debianutils. Strony podręcznika zawarte w pakiecie przetłumaczyli: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl>, Michał Kułach <michal.kulach@gmail.com> oraz Robert Luberda <robert@debian.org>.